.hamburger {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  cursor: pointer;

  &__stack {
    display: block;

    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;

    width: 25px;
    height: 2px;
    margin: auto;

    background: #333;

    z-index: 1;

    transition: all 0.5s cubic-bezier(0.77,0.2,0.05,1.0);

    &:nth-child(1) { transform: translateY(-8px) }
    &:nth-child(3) { transform: translateY(8px) }
  }

  &--crossed {

    .hamburger__stack {
      &:nth-child(1) { transform: rotate(45deg) }
      &:nth-child(2) { display: none }
      &:nth-child(3) { transform: rotate(-45deg) }
    }
  }
}